<!-- Based on fast/repaint/background-currentColor-repaint.html -->
<!DOCTYPE html>
<script src="resources/paint-invalidation-test.js"></script>

<style>
div {
    width: 100px;
    height: 100px;
    background: currentColor;    
}

#div1 {
    color: blue;
}

#div2 {
    color: transparent;
}

</style>

<div id="div1"></div>
<div id="div2"></div>

<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV id='div1'",
    "LayoutBlockFlow DIV id='div2'",
];
function paintInvalidationTest()
{
	div1.style.color = 'transparent';
 	div2.style.color = 'blue';
}

window.onload = runPaintInvalidationTest;

</script>
